Update Address

Edits details of an existing Company address. There are no required fields for this endpoint, but you must include `isBilling` or `isShipping` to change the value of `isDefaultBilling` or `isDefaultShipping` respectively. When changing the `countryName`, you must also update the `countryCode`. Updating the `countryCode` by itself will automatically adjust the `countryName`. If you are changing the `countryCode` to a [country that supports states](#get-a-state), you must also include the `stateCode` with a valid two-letter code value for the state.

Authentication

X-Auth-Tokenstring
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
X-Store-Hashstring
### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Path parameters

addressIdstringRequired

Request

This endpoint expects an object.
firstNamestringOptional
The first name on the address.
lastNamestringOptional
The last name on the address.
phoneNumberstringOptional
The phone number on the address.
zipCodestringOptional
The postal code on the address.
addressLine1stringOptional
The first line of the address.
addressLine2stringOptional
The second line of the address.
citystringOptional
The city on the address.
stateNamestringOptional

The full name of the state or province on the address. This must correspond to stateCode in the request if the state or province is required for the country.

countryNamestringOptional

The full name of the country on the address. Use Get a Country to retrieve valid country names.

stateCodestringOptional

The two-letter ISO code for the state or province on the address. Omit this field when adding state or province information for an unsupported country.

countryCodestringOptional

The two-letter ISO code for the country on the address. Use Get a Country to retrieve valid country codes.

companyIdintegerOptional
The unique numeric ID of the Company account.
isBillingbooleanOptional
Indicates whether the address is a billing address.
isShippingbooleanOptional
Indicates whether the address is a shipping address.
isDefaultBillingbooleanOptional
Indicates whether the address is the default billing address.
isDefaultShippingbooleanOptional
Indicates whether the address is the default shipping address.
labelstringOptional
The label used on the storefront to identify the address.
externalIdstringOptional

An external ID assigned to the address in a third-party system, such as an ERP.

extraFieldslist of objectsOptional
Enter extra field information for the address.

Response

OK
codeintegerDefaults to 200
dataobject
metaobject

Errors

404
Not Found Error
422
Unprocessable Entity Error